// A simple web server to turn 2 LED on or off

#include "etherShield.h"
#include "ETHER_28J60.h"

int re = 4;  
int tv1 = 5; 
int tv2 = 6; 
int tv3 = 9; 
int lum1, lum2, lum3;
int cycle_time;
int cycle_dur;

static uint8_t mac[6] = {
  0x54, 0x55, 0x58, 0x10, 0x00, 0x24};   // this just needs to be unique for your network, 

static uint8_t ip[4] = {
  192, 168, 1, 200
}; // IP address for the webserver

static uint16_t port = 80; // Use port 80 - the standard for HTTP
char* params;
ETHER_28J60 e;

void setup()
{ 
  e.setup(mac, ip, port);
  randomSeed(analogRead(0));
  pinMode(re, OUTPUT);
  pinMode(tv1, OUTPUT);
  pinMode(tv2, OUTPUT);
  pinMode(tv3, OUTPUT);
}


void LED_blink()  {  
/*   lum1 = random(256);
   lum2 = random(256);
   lum3 = random(256);
   cycle_time = random(1,101);
   cycle_dur = random(1,10);
   cycle_time = cycle_time*cycle_dur;
  
      analogWrite(tv1, lum1);      
      analogWrite(tv2, lum2);
      analogWrite(tv3, lum3); 
      delay(cycle_time);  */
      analogWrite(tv1, 255);      
      analogWrite(tv2, 255);
      analogWrite(tv3, 255);       
}

void LED_off()  {  
      analogWrite(tv1, 0);      
      analogWrite(tv2, 0);
      analogWrite(tv3, 0);      
}

void loop()
{
  if (params = e.serviceRequest())
  {
    e.print("<h1><a href='/?led1=off&led2=off'>Arduino Web Remote</a></h1>");
    if (strcmp(params, "?led1=on&led2=off") == 0)
    {
      digitalWrite(re, LOW);
      e.print("<a href='?led1=off&led2=off'><button style='border: 1px solid #ff0000; border-left: 10px solid #ff0000' type='button'>LEDS are ON</button></a><a href='?led1=on&led2=on'><br/><button style='border: 1px solid #000; border-left: 10px solid #000' type='button'>RELAY is OFF</button></a>");
      LED_blink();  
  }
    else if (strcmp(params, "?led1=off&led2=on") == 0)
    {
      digitalWrite(re, HIGH);    
      e.print("<a href='?led1=on&led2=on'><button style='border: 1px solid #000; border-left: 10px solid #000' type='button'>LEDS are OFF</button></a><a href='?led1=off&led2=off'><br/><button style='border: 1px solid #ff0000; border-left: 10px solid #ff0000' type='button'>RELAY is ON</button></a>");
      LED_off(); 
    }
    else if (strcmp(params, "?led1=off&led2=off") == 0)
    {
      digitalWrite(re, LOW);    
      e.print("<a href='?led1=on&led2=off'><button style='border: 1px solid #000; border-left: 10px solid #000' type='button'>LEDS are OFF</button></a><a href='?led1=off&led2=on'><br/><button style='border: 1px solid #000; border-left: 10px solid #000' type='button'>RELAY is OFF</button></a>");
      LED_off(); 
    }
    else if (strcmp(params, "?led1=on&led2=on") == 0)
    {
      digitalWrite(re, HIGH);
      
      e.print("<a href='?led1=off&led2=on'><button style='border: 1px solid #ff0000; border-left: 10px solid #ff0000' type='button'>LEDS are ON</button></a><a href='?led1=on&led2=off'><br/><button style='border: 1px solid #ff0000; border-left: 10px solid #ff0000' type='button'>RELAY is ON</button></a>");
      LED_blink(); 
    }
    e.respond();
  }
}

